# PodDestructionProcessor class abstract

An abstract class in Jetleaf that provides lifecycle hooks for Pod destruction.

It allows developers to:

- Run logic before a Pod is destroyed.
- Run cleanup actions after a Pod is destroyed.
- Determine whether a Pod requires destruction.

Example:

    class CleanupProcessor implements PodDestructionProcessor {
      @override
      void beforeDestruction(Object pod, Class podClass, String name) {
        print('Cleaning up resources for pod: $name');
      }

      @override
      void afterDestruction(Object pod, Class podClass, String name) {
        print('Pod $name destroyed.');
      }

      @override
      bool requiresDestruction(Object pod, Class podClass, String name) {
        // Example: only destroy if pod implements Disposable
        return pod is Disposable;
      }
    }

Inheritance
  - Object
  - PodProcessor
  - PodDestructionProcessor

## Constructors

PodDestructionProcessor.new()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
processAfterDestruction(Object pod, Class podClass, String name) → Future<void>
  Apply this post-processor to the given pod instance after its destruction, e.g. invoking custom destruction callbacks.
processAfterInitialization(Object pod, Class podClass, String name) → Future<Object?>
  Apply this post-processor to the given new pod instance after any pod initialization callbacks.
  inherited
processBeforeDestruction(Object pod, Class podClass, String name) → Future<void>
  Apply this post-processor to the given pod instance before its destruction, e.g. invoking custom destruction callbacks.
processBeforeInitialization(Object pod, Class podClass, String name) → Future<Object?>
  Apply this post-processor to the given new pod instance before any pod initialization callbacks.
  inherited
requiresDestruction(Object pod, Class podClass, String name) → Future<bool>
  Determine whether the given pod instance requires destruction by this post-processor.
shouldProcessBeforeInitialization(Object pod, Class podClass, String name) → Future<bool>
  Determine whether this post-processor should be applied to the given pod.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited